## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           sblg
Version:        0.6.1
Release:        %{autorelease}
Summary:        Static blog utility
%global tag     %(v=%{version}; echo ${v//\./_})

License:        ISC
URL:            https://kristaps.bsd.lv/sblg/
VCS:            https://github.com/kristapsdz/sblg
Source:         %{vcs}/archive/VERSION_%{tag}/sblg-VERSION_%{tag}.tar.gz

BuildRequires:  gcc
BuildRequires:  expat-devel
BuildRequires:  make
BuildRequires:  valgrind

Recommends:  lowdown

%description
sblg is a utility for creating static blogs. It merges articles into templates to generate static HTML
files, Atom feeds, and JSON files. It's built for use with make. No PHP, no database: just a simple UNIX
tool for pulling data from articles and populating templates. 

%package doc
Summary: Static blog utility

%description doc
Examples and documentation for sblg.
BuildArch: noarch

%prep
%autosetup -n sblg-VERSION_%{tag}


%build
# Does not use autotools, so passing fedora flags causes an error
./configure PREFIX=%{_prefix} MANDIR=%{_mandir} SHAREDIR=%{_docdir}
%make_build


%install
%make_install

%check
make regress
make valgrind

%files
%license LICENSE.md
%doc README.md
%{_bindir}/sblg
%{_mandir}/man1/sblg.1*

%files doc
%license LICENSE.md
%{_docdir}/sblg/

%changelog
## START: Generated by rpmautospec
* Wed Jan 15 2025 John Doe <packager@example.com> - 0.6.1-1
- Uncommitted changes
## END: Generated by rpmautospec
